com.amazon.redshift.jdbc

## Class RedshiftBlob

- java.lang.Object
- - com.amazon.redshift.jdbc.AbstractBlobClob
  - - com.amazon.redshift.jdbc.RedshiftBlob

All Implemented Interfaces:
  Blob

    public class RedshiftBlob
    extends AbstractBlobClob
    implements Blob

### Field Summary

### Fields inherited from class com.amazon.redshift.jdbc.AbstractBlobClob

`conn`

### Constructor Summary

Constructors
Constructor and Description
`RedshiftBlob(BaseConnection conn, long oid)`

### Method Summary

Methods
`InputStream` `getBinaryStream(long pos, long length)`
`int` `setBytes(long pos, byte[] bytes)`
`int` `setBytes(long pos, byte[] bytes, int offset, int len)`

### Methods inherited from class com.amazon.redshift.jdbc.AbstractBlobClob

`addSubLO, assertPosition, assertPosition, checkFreed, free, getBinaryStream, getBytes, getLo, length, position, position, setBinaryStream, truncate`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.sql.Blob

`free, getBinaryStream, getBytes, length, position, position, setBinaryStream, truncate`

### Constructor Detail

#### RedshiftBlob

    public RedshiftBlob(BaseConnection conn,
                long oid)
                 throws SQLException

Throws:
  `SQLException`

### Method Detail

#### getBinaryStream

    public InputStream getBinaryStream(long pos,
                              long length)
                                throws SQLException

Specified by:
  `getBinaryStream` in interface `Blob`
Throws:
  `SQLException`

#### setBytes

    public int setBytes(long pos,
               byte[] bytes)
                 throws SQLException

Specified by:
  `setBytes` in interface `Blob`
Throws:
  `SQLException`

#### setBytes

    public int setBytes(long pos,
               byte[] bytes,
               int offset,
               int len)
                 throws SQLException

Specified by:
  `setBytes` in interface `Blob`
Throws:
  `SQLException`